From: Carlos Pita <[email-masked]>
Date: Mon, 7 Jan 2019 00:13:26 -0300

Some months later, I'm insisting on this.

I don't see any point in setting the default to 8 when:

1. PEP 8 clearly states: use 4 spaces per indentation level.
2. Python mode specific rigid indentation mechanism defaults to 4 spaces.

AFAICS the only thing you get by setting tab-width to 8 is
incompatibility of emacs standard rigid indentation mechanism (M-x
Tab) with both 1 and 2. I think it's important to play well with
standard facilities (despite python mode providing it's own variant)
and, in any case, there is no good reason, no trade off, not to do it.